<template>
    <el-dialog draggable v-model="dialogVisible" :title="title" width="500px">
        <el-descriptions class="margin-top" :column="1" border label-width="150px"> 
            <el-descriptions-item  label="变电站名称">{{ list[0]?.srbName }}</el-descriptions-item>
            <el-descriptions-item  label="电压等级">{{ list[0]?.scale }}</el-descriptions-item>
            <el-descriptions-item  label="经度">{{ list[0]?.coordY }}</el-descriptions-item>
            <el-descriptions-item  label="纬度">{{ list[0]?.coordX }}</el-descriptions-item>
        </el-descriptions>
    </el-dialog>
</template>
<script lang="ts" setup>
import { ref, inject } from 'vue'
import { getSubstationSelectLine } from '@/api/device-boot/line'
const dialogVisible = ref(false)
const title = ref('')
const list: any = ref([])
const open = (data: any) => {
    list.value = []
    title.value = data.name.replace(/（[^）]*）/g, '') + '_详情'

    getSubstationSelectLine(data.id).then(res => {
        list.value = res.data
    })

    dialogVisible.value = true
}

defineExpose({ open })
</script>
<style lang="scss" scoped>
:deep(.el-upload-list__item) {
    width: 400px;
}
</style>
